fastText: /data/users/cpuhrsch/fbsource/fbcode/deeplearning/fastText/src/main.cc File Reference

| fastText d00d36476b15 Fast text processing tool/library

Functions
main.cc File Reference
`#include <iostream>`
`#include "fasttext.h"`
`#include "args.h"`

## Functions
void | printUsage ()
void | printQuantizeUsage ()
void | printTestUsage ()
void | printPredictUsage ()
void | printPrintWordVectorsUsage ()
void | printPrintSentenceVectorsUsage ()
void | printPrintNgramsUsage ()
void | quantize (int argc, char **argv)
void | printNNUsage ()
void | printAnalogiesUsage ()
void | test (int argc, char **argv)
void | predict (int argc, char **argv)
void | printWordVectors (int argc, char **argv)
void | printSentenceVectors (int argc, char **argv)
void | printNgrams (int argc, char **argv)
void | nn (int argc, char **argv)
void | analogies (int argc, char **argv)
void | train (int argc, char **argv)
int | main (int argc, char **argv)

## Function Documentation

## ◆ analogies()

void analogies | ( | int | argc,
|  | char ** | argv
| ) |  |

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

## ◆ nn()

void nn | ( | int | argc,
|  | char ** | argv
| ) |  |

## ◆ predict()

void predict | ( | int | argc,
|  | char ** | argv
| ) |  |

## ◆ printAnalogiesUsage()

void printAnalogiesUsage | ( |  | ) |

## ◆ printNgrams()

void printNgrams | ( | int | argc,
|  | char ** | argv
| ) |  |

## ◆ printNNUsage()

void printNNUsage | ( |  | ) |

## ◆ printPredictUsage()

void printPredictUsage | ( |  | ) |

## ◆ printPrintNgramsUsage()

void printPrintNgramsUsage | ( |  | ) |

## ◆ printPrintSentenceVectorsUsage()

void printPrintSentenceVectorsUsage | ( |  | ) |

## ◆ printPrintWordVectorsUsage()

void printPrintWordVectorsUsage | ( |  | ) |

## ◆ printQuantizeUsage()

void printQuantizeUsage | ( |  | ) |

## ◆ printSentenceVectors()

void printSentenceVectors | ( | int | argc,
|  | char ** | argv
| ) |  |

## ◆ printTestUsage()

void printTestUsage | ( |  | ) |

## ◆ printUsage()

void printUsage | ( |  | ) |

## ◆ printWordVectors()

void printWordVectors | ( | int | argc,
|  | char ** | argv
| ) |  |

## ◆ quantize()

void quantize | ( | int | argc,
|  | char ** | argv
| ) |  |

## ◆ test()

void test | ( | int | argc,
|  | char ** | argv
| ) |  |

## ◆ train()

void train | ( | int | argc,
|  | char ** | argv
| ) |  |